<template>
	<div class="cards cards--dual" :class="{'cards--dual-reverse' : index % 2 !== 0}">
		<h4 :id="'event' + event.id" class="card--merged">{{ event.title }}</h4>
		<div class="card-body card-body--single-left" :class="{'card-last' : index % 2 === 0}">
			<div>
				<h5 :class="[ index % 2 !== 0 ? 'h--tilt-left' : 'h--tilt-right' ]">{{ event.eventType.title }}</h5>
				<p class="cell"><span>Kommentare: {{ event.totalCommentsOnEvent }}</span> | <span>Dabei: {{ event.totalUsersAttendingEvent }}</span></p>
				<p class="cell nl2br nl2br-clip-10">
					{{ event.text }}
				</p>
			</div>
			<div class="card-buttons mobile-flex">
				<router-link :to="'/event/' + event.id" class="button button--mobile-stretch">Details</router-link>
				<a href="https://www.oeticket.com" title="Tickets kaufen" target="_blank" class="button button--mobile-stretch">Tickets</a>
			</div>
		</div>
		<div class="card-body--flyer">
			<img class="card-flyer--tiny" :src="baseUrl + '/program/' + event.image"  :alt="event.title"  :title="event.title" />
		</div>
	</div>

</template>

<script>
export default {
	name: "EventPreviewCard",
	props: {
		event: {},
		index: Number
	},
	computed: {
		baseUrl() {
			return process.env.VUE_APP_BASE_URL;
		}
	}
}
</script>

<style scoped>

</style>